<%@ include file="/WEB-INF/jsp/include.jsp"%>

<html>
<head>
<title><fmt:message key="view.updateBook.title" /></title>
</head>
<body>
	<%-- メニュー --%>
	<%@ include file="/WEB-INF/jsp/menu.jsp" %>

	<%-- 本文 --%>
	<div id="container" align="center">
		<h2><fmt:message key="view.updateBook.heading" /></h2>

		<form:form method="post" commandName="ItemCommand">
			<table>
				<tr>
					<th><fmt:message key="lable.item.id" /></th>
					<td><c:out value="${ItemCommand.id}" /></td>
					<form:hidden path="id"/>
					<form:hidden path="version"/>
					<form:errors path="version" cssClass="error" />
				</tr>
				<tr>
					<th><fmt:message key="lable.item.name" /></th>
					<td>
						<form:input path="name" />
						<form:errors path="name" cssClass="error" />
					</td>
				</tr>
				<tr>
					<th><fmt:message key="lable.item.kanaName" /></th>
					<td>
						<form:input path="kanaName" />
						<form:errors path="kanaName" cssClass="error" />
					</td>
				</tr>
				<tr>
					<th><fmt:message key="lable.item.shortName" /></th>
					<td>
						<form:input path="shortName" />
						<form:errors path="shortName" cssClass="error" />
					</td>
				</tr>
				<tr>
					<th><fmt:message key="lable.item.wikiName" /></th>
					<td>
						<form:input path="wikiName" />
						<form:errors path="wikiName" cssClass="error" />
					</td>
				</tr>
				<tr>
					<th><fmt:message key="lable.item.englishName" /></th>
					<td>
						<form:input path="englishName" />
						<form:errors path="englishName" cssClass="error" />
					</td>
				</tr>
				<tr>
					<th><fmt:message key="lable.book.fromYear" /></th>
					<td>
						<form:input path="fromYear" />
						<form:errors path="fromYear" cssClass="error" />
					</td>
				</tr>
			</table>
			<br>

			<%-- 戻るボタン--%>
			<c:url var="retrnUrl" value="/book.html">
				<c:param name="itemId" value="${ItemCommand.id}" />
			</c:url>
			<input type="button"
			       value="<fmt:message key="lable.return"/>"
			       onClick="location.href='${retrnUrl}'">

			<%-- 更新確定ボタン--%>
			<input type="submit" align="middle" value="<fmt:message key="lable.update.submit" />">
		</form:form>
	</div>
</body>
</html>